Project with PeppyMeter Screensaver Plugin for VOLUMIO v2.9xx and 3.0xx buster

Hi @2aCD,
thanks for your reply.
I upgrade python version to be 3.7.3, and installed pygame.
But pygame can not be called in python3, would you kindly help ? thank you.

Sincerely,
KMF

hi @KMF,
sorry I’m a little bit confused. Do you use VOLUMIO 2.882 not buster? That I have forgot, sorry. With VOLUMIO 2.882 the updated python3 after the pygame installation is 3.4.2, with buster 3.7.3 My installation was on buster.

For 2.882 you don’t need an update of python 3.7.3 only the socketIO installation with sudo is enough.

sudo python3 -m pip install socketIO-client

It’s different to buster, here you need also the installation without sudo.
To check out the socketIO installation look into: /usr/local/lib/python3.4/dist-packages

and in python do the follow with volumio user:

export DISPLAY=:0
python3

#for socketIO
>>> from socketIO_client import SocketIO

#for pygame
>>> import pygame

if this is running without error please start the check with peppymeter.py

export DISPLAY=:0
cd /home/volumio/PeppyMeter
python3 peppymeter.py

then start play a title
With the manually start you see the console errors, if you have anything.

sorry again for my confusion
:wink:

Hi @2aCD,
Thanks for your clarify, and yes, I am using VOLUMIO 2.882, now I go back to Python 3.4.2, and installed socketIO-client with no problem, but the web radio albumart still no show, please check the info blow:

=== /tmp/playinfo ===
[playinfo]
Title = “BBC Radio 3”
Album = undefined
Artist = “”
Albumart = /data/albumart/folder/mntined/extralarge.jpeg

==== /data/albumart/folder ===
volumio@volumio:~$ ls /data/albumart/folder/
mnt

As you can see. the playinfo indicated the albumart picture is in the folder: /data/albumart/folder/mntined/extralarge.jpeg
But there is no [mntined] folder under /data/albumart/folder/

As well as the artist info and tittle are no show anymore.

Any clue I can check ? thank you for your kindly help.

Sincerely,
KMF

Ok, then the installation is successfully.
The playinfo file is not more used with socketIO.
If the albumart with USB/NAS source now working the socketIO connection is ok.

I have update the albumart.zip with optimization to use with webradio

Download on post 73

1 Like

Hi 2aCD,

It’s working now ! thank you so much…
One more issue, the needle will move while playing web radio, but it doesn’t move while playing Spotify.

Thanks again,
KMF

1 Like

Hi KMF, I have create a Spotify test account to test, how it looks with Spotify. Spend me little time to see, what’s the reason.

Hi 2aCD, Great ! looking forward to hear your good news soon.

Sincerely,
KMF

Maybe a stupid question but I’m wondering: is it possible to use the screensaver on an external display (remote) running Volumio interface, like a tablet?

Thanks in advance

so far as i have seen it’s only hdmi

1 Like

Hi again,

for the peppy meter with the volumio spotify plugin it’s needed to change the output device of the plugin from your soundcard to peppyalsa.
please change the file: /etc/spopd.conf

[sox]
output_type = alsa
#output_name = plughw:2,0
output_name = peppyalsa

This solution is now only for standard VOLUMIO not for buster.
:+1:

Hi @2aCD,
You are the man ! :+1:

Appreciate,
KMF

1 Like

Hi @2aCD,
Do you know how to upgrade volumio v.834 to v.882 ? on the other hand, how to upgrade volumio to a specific version ? if now I proceed the system upgrade, it leads me to v.906, which I can not build PeppyMeter successfully, I’ve added something in v.834 and I wanna keep it, then install PepptMeter.

Thanks for help,
KMF

Hi @KMF
you can download the 882 from the official download:

https://volumio.org/get-started/

but it needs a new fresh installation. I have no find a official download for a newer version, to check what’s going wrong. I‘ll try a fresh 882 installation with an inplace upgrade to a newer version.

1 Like

Hi @2aCD,

I already tried, new fresh installation 882 is no problem, and it will not upgrade to 906 with an inplace upgrade.

The problem is that I am using 833 (and 834), this version doesn’t allow me to install your appearance mods, so I have to upgrade, however, when I proceed inplace upgrade, it leads me to 906, not 882, please see the attached screenshot.

And, if I upgrade to 906, I can not build pygame & PeppyMeter, only 882 works for me, this is the reason why I try to find solution for 833 to 882, not 833 to 906.

I hope somebody can help me, thank you in advance !

Sincerely,
KMF

link to 2.882 https://updates.volumio.org/pi/volumio/2.882/volumio-2.882-2021-04-24-pi.img.zip for a fresh install
With an update, you can’t choose the version, it is the last available

Hi @KMF
I think you have no chance to update inplace to 882 if a newer version published. But wait a little bit, I‘ll search what’s the problem with 906 and PeppyMeter

Hi @KMF,
I have now PeppyMeter successfully installed on an updated version of VOLUMIO 2.906
But it’s important to install the workaround for build essentials before, the same procedure as in 2.882.

https://community.volumio.org/t/cannot-install-build-essential-package/46856/16

Hi @2aCD,
Thank you, I have PeppyMeter installed successfully as well, but can not start it.
error message: configparser.NoSectionError: No section: ‘current’
is it the path issue ?

Please see the complete message:

volumio@volumio:~$ sudo python3 /home/volumio/PeppyMeter/peppymeter.py
Traceback (most recent call last):
File “/usr/lib/python3.4/configparser.py”, line 1116, in _unify_values
sectiondict = self._sections[section]
KeyError: ‘current’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/volumio/PeppyMeter/peppymeter.py”, line 285, in
pm = Peppymeter(standalone=True)
File “/home/volumio/PeppyMeter/peppymeter.py”, line 72, in init
parser = ConfigFileParser(base_path)
File “/home/volumio/PeppyMeter/configfileparser.py”, line 178, in init
self.meter_config[METER] = c.get(CURRENT, METER)
File “/usr/lib/python3.4/configparser.py”, line 754, in get
d = self._unify_values(section, vars)
File “/usr/lib/python3.4/configparser.py”, line 1119, in _unify_values
raise NoSectionError(section)
configparser.NoSectionError: No section: ‘current’
volumio@volumio:~$

Thanks for your kindly help,
KMF

Hi @KMF
it seams your /home/volumio/PeppyMeter folder is not correct. Please check the config.txt, if the first section is the [current] section.
Can you send me a PM with a screenshot of your PeppyMeter folder.

Hi 2aCD,

The screenshot of PeppyMeter folder has been sent you by PM.

Thanks for help,
KMF

1 Like